import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.example.myapplication.R

@Composable
fun Cart(navController: NavController){

    LazyColumn {
        item {
            Text(
                text = "Корзина: ",
                fontSize = 28.sp,
                color = Color.Black,
                modifier = Modifier.padding(8.dp)
            )
        }
        item {
            ProductCardInCart("Intel Celeron G5905 OEM", 4099, R.drawable.product3)
        }
        item {
            ProductCardInCart("MSI GeForce RTX 4090 VENTUS 3X OC", 210999, R.drawable.product1)
        }
        item {
            ProductCardInCart("Palit GeForce GTX 1660 SUPER", 25999, R.drawable.product2)
        }
        item {
            Button(
                onClick = {  },
                modifier = Modifier.fillMaxWidth().padding(top = 20.dp, bottom = 20.dp),
                border = BorderStroke(1.dp, Color.Black),
                colors = ButtonDefaults.buttonColors(
                    containerColor = Color.Magenta,
                )
            ) {
                TextNice("Оплатить: 240 097 рублей")
            }
        }

    }
}

@Preview(showBackground = true)
@Composable
fun CartPreview() {
    val navController = rememberNavController()
    Cart(navController = navController)
}