import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import androidx.compose.ui.tooling.preview.Preview
import androidx.navigation.compose.rememberNavController


@Composable
fun Registration (navController: NavController){
    Column(
        modifier = Modifier
            .fillMaxSize()
            .padding(start = 10.dp, end = 10.dp),
        verticalArrangement = Arrangement.Center,
        horizontalAlignment = Alignment.CenterHorizontally
    ){
        Input("Имя")
        Input("Эл.почта")
        Input("Пароль")
        Input("Повторите пароль")

        Button(
            onClick = { /*TODO*/ },
            modifier = Modifier.fillMaxWidth(),
        )
        {
            TextNice("Создать аккаунт")
        }

        Button(
            onClick = {navController.navigate("authorization")},
            modifier = Modifier.fillMaxWidth(),
            border = BorderStroke(1.dp, Color.Black),
            colors= ButtonDefaults.buttonColors(
                containerColor= Color.White,
                contentColor = Color.Gray
            ))
        {
            TextNice("Авторизация")

        }
    }
}

@Preview(showBackground = true)
@Composable
fun RegistrationPreview() {
    // Создаем заглушку для NavController
    val navController = rememberNavController()

    // Выводим превью компонента
    Registration(navController = navController)
}