import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.example.myapplication.R

@Composable
fun CatalogItems (navController: NavController, title: String, products: List<Product>){
    LazyColumn {
        item {
            Text(
                text = title,
                fontSize = 28.sp,
                color = Color.Black,
                modifier = Modifier.padding(8.dp)
            )
        }
        item{
            for (product in products){
                product.createProductCard({})
            }
        }

        item {
            ButtonNice("Инфо: " , myColor1, {})
        }
    }
}