import androidx.annotation.DrawableRes
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.aspectRatio
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.example.myapplication.R

@Composable
fun ProductPage(name: String,info: String, price: Int, @DrawableRes imgId: Int, onClickAction: () -> Unit){
    LazyColumn (modifier = Modifier.fillMaxSize().padding(10.dp)) {

        item{
            TextNice(name)
        }

        item {
            Image(
            painter = painterResource(id = imgId),
            contentDescription = null,
            modifier = Modifier
                .size(400.dp)
                .aspectRatio(1f)
        )}

        item{TextNice("Характеристики: ")}
        item{Text(info)}
        item{ButtonNice("Добавить в корзину", Color(185, 20, 255, 255), onClickAction )}
    }
}

@Preview
@Composable
fun ProductPagePreview(){
    val navController = rememberNavController()
    ProductPage("MSI GeForce RTX 4090 VENTUS 3X OC" ,"Общая информация: Дата выхода на рынок 2022 г.\n" +
            "Основные характеристики: Подбор в один клик с трассировкой лучей, для игр в 4K, для рендеринга, профессиональная\n" +
            "Интерфейс: PCI Express x16 4.0\n" +
            "Производитель графического процессора: NVIDIA\n" +
            "Микроархитектура: NVIDIA Ada Lovelace\n" +
            "Кодовое имя чипа: AD102\n" +
            "Графический процессор: GeForce RTX 4090\n" +
            "«Разогнанная» версия: Нет\n" +
            "Трассировка лучей: Да\n" +
            "Защита от майнинга (LHR): Нет\n" +
            "Внешняя видеокарта: Нет",15000, R.drawable.product1, onClickAction = { navController.navigate("main") })
}